Subject: Re: Motif build failure

From: Z572 <[email-masked]>
Date: Fri, 13 Jun 2025 23:28:02 +0800

Ludovic Courtès <[email-masked]> writes:

> An update: I have just pushed these commits to ‘core-packages-team’:
>
>   0a9e9e158b gnu: motif: Build with GCC 11.
>   93d5c354c4 gnu: gcc: Fix compilation of libstdc++ for GCC 7 to 13.
>
> They fix all these GCC versions (except GCC 13, which has other build
> problems) and the infamous Motif problem, using GCC 11 as Rutherther
> suggested before.

https://codeberg.org/guix/guix/commit/e02992a8b095641717ffb1cc49a6fe4571afc667

The problems of gcc 13 seem to be the same as those of gcc 14. So I also
applied the patch-tzdb.cc phase to gcc 13. I build clang-runtime-18
and it seems there is no problem.

> We’re making progress!
> Ludo’.